// pages/activity/activity.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    dataList: [],
    pages: {
      page: 1,
      rows: 5
    }
  },
  goDetail: function (e) {
    var id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../activityDetail/activityDetail?id=' + id
    })
  },
  getActivityList: function() {
    var self = this;
    app.restAjax.get(app.restAjax.path(app.activityUrl + '/wxminiapp/activitylibrary/listpageactivitylibraryfornetrelease', []), 
      self.data.pages, null, function(code, data) {
        if('200' == code) {
          console.log(data.rows)
          for(var item of data.rows) {
            if('' != item.activityImage) {
                item.activityImage = app.activityUrl + '/route/file/downloadfile/true/' + item.activityImage;
              }
          }
          if(1 === self.data.pages.page) {
            self.setData({
              dataList: data.rows,
            })
          }else {
            if(data.rows.length == 0) {
              self.setData({
                [`pages.page`] : self.data.pages.page - 1
              })
              app.dialog.msg('暂无更多')
              return false;
            }
            self.setData({
              dataList: data.rows.concat(self.data.dataList),
            })
          }
        }
    }, function() {

    }, function() {
      wx.hideNavigationBarLoading(); //完成停止加载图标
      wx.stopPullDownRefresh();
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
   this.getActivityList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    // 在标题栏中显示加载图标
    wx.showNavigationBarLoading();
    var self = this;
    self.setData({
      [`pages.page`] : self.data.pages.page + 1
    })
    this.getActivityList();
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})